Package weka.knowledgeflow.steps

# Class IncrementalClassifierEvaluator

java.lang.Object
weka.knowledgeflow.steps.BaseStep
weka.knowledgeflow.steps.IncrementalClassifierEvaluator

All Implemented Interfaces:
  `Serializable`, `BaseStepExtender`, `Step`

@KFStep(name="IncrementalClassifierEvaluator", category="Evaluation", toolTipText="Evaluate the performance of incrementally training classifiers", iconPath="weka/gui/knowledgeflow/icons/IncrementalClassifierEvaluator.gif") public class IncrementalClassifierEvaluator extends BaseStep
Step that evaluates incremental classifiers and produces strip chart data

Version:
  $Revision: $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IncrementalClassifierEvaluator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `chartingEvalWindowSizeTipText()`
  Return a tip text string for this property
  `int`
  `getChartingEvalWindowSize()`
  Get whether to compute evaluation for charting over a fixed sized window of the most recent instances (rather than the whole stream).
  `List<String>`
  `getIncomingConnectionTypes()`
  Get a list of incoming connection types that this step can accept.
  `List<String>`
  `getOutgoingConnectionTypes()`
  Get a list of outgoing connection types that this step can produce.
  `boolean`
  `getOutputPerClassInfoRetrievalStats()`
  Get whether per-class information retrieval stats are to be output.
  `int`
  `getStatusFrequency()`
  Get how often progress is reported to the status bar.
  `String`
  `outputPerClassInfoRetrievalStatsTipText()`
  Return a tip text string for this property
  `void`
  `processIncoming(Data data)`
  Process an incoming data payload (if the step accepts incoming connections)
  `void`
  `setChartingEvalWindowSize(int windowSize)`
  Set whether to compute evaluation for charting over a fixed sized window of the most recent instances (rather than the whole stream).
  `void`
  `setOutputPerClassInfoRetrievalStats(boolean i)`
  Set whether to output per-class information retrieval statistics (nominal class only).
  `void`
  `setStatusFrequency(int s)`
  Set how often progress is reported to the status bar.
  `String`
  `statusFrequencyTipText()`
  Return a tip text string for this property
  `void`
  `stepInit()`
  Initialize the step.

  ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

  `environmentSubstitute, getCustomEditorForStep, getDefaultSettings, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, globalInfo, isResourceIntensive, isStopRequested, outputStructureForConnectionType, outputStructureForConnectionType, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IncrementalClassifierEvaluator

    public IncrementalClassifierEvaluator()

- ## Method Details

  - ### stepInit

    public void stepInit() throws WekaException
    Initialize the step.
    Throws:
      `WekaException` - if a problem occurs during initialization

  - ### getIncomingConnectionTypes

    public List<String> getIncomingConnectionTypes()
    Get a list of incoming connection types that this step can accept. Ideally (and if appropriate), this should take into account the state of the step and any existing incoming connections. E.g. a step might be able to accept one (and only one) incoming batch data connection.
    Returns:
      a list of incoming connections that this step can accept given its current state

  - ### getOutgoingConnectionTypes

    public List<String> getOutgoingConnectionTypes()
    Get a list of outgoing connection types that this step can produce. Ideally (and if appropriate), this should take into account the state of the step and the incoming connections. E.g. depending on what incoming connection is present, a step might be able to produce a trainingSet output, a testSet output or neither, but not both.
    Returns:
      a list of outgoing connections that this step can produce

  - ### processIncoming

    public void processIncoming(Data data) throws WekaException
    Process an incoming data payload (if the step accepts incoming connections)
    Specified by:
      `processIncoming` in interface `BaseStepExtender`
    Specified by:
      `processIncoming` in interface `Step`
    Overrides:
      `processIncoming` in class `BaseStep`
    Parameters:
      `data` - the payload to process
    Throws:
      `WekaException` - if a problem occurs

  - ### setStatusFrequency

    public void setStatusFrequency(int s)
    Set how often progress is reported to the status bar.
    Parameters:
      `s` - report progress every s instances

  - ### getStatusFrequency

    public int getStatusFrequency()
    Get how often progress is reported to the status bar.
    Returns:
      after how many instances, progress is reported to the status bar

  - ### statusFrequencyTipText

    public String statusFrequencyTipText()
    Return a tip text string for this property
    Returns:
      a string for the tip text

  - ### setOutputPerClassInfoRetrievalStats

    public void setOutputPerClassInfoRetrievalStats(boolean i)
    Set whether to output per-class information retrieval statistics (nominal class only).
    Parameters:
      `i` - true if info retrieval stats are to be output

  - ### getOutputPerClassInfoRetrievalStats

    public boolean getOutputPerClassInfoRetrievalStats()
    Get whether per-class information retrieval stats are to be output.
    Returns:
      true if info retrieval stats are to be output

  - ### outputPerClassInfoRetrievalStatsTipText

    public String outputPerClassInfoRetrievalStatsTipText()
    Return a tip text string for this property
    Returns:
      a string for the tip text

  - ### setChartingEvalWindowSize

    public void setChartingEvalWindowSize(int windowSize)
    Set whether to compute evaluation for charting over a fixed sized window of the most recent instances (rather than the whole stream).
    Parameters:
      `windowSize` - the size of the window to use for computing the evaluation metrics used for charting. Setting a value of zero or less specifies that no windowing is to be used.

  - ### getChartingEvalWindowSize

    public int getChartingEvalWindowSize()
    Get whether to compute evaluation for charting over a fixed sized window of the most recent instances (rather than the whole stream).
    Returns:
      the size of the window to use for computing the evaluation metrics used for charting. Setting a value of zero or less specifies that no windowing is to be used.

  - ### chartingEvalWindowSizeTipText

    public String chartingEvalWindowSizeTipText()
    Return a tip text string for this property
    Returns:
      a string for the tip text